Loading...
Searching...
No Matches
block_gateway.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/io_signature.h>`
`#include <gnuradio/logger.h>`
`#include <gnuradio/types.h>`
`#include <pmt/pmt.h>`
`#include <pybind11/pybind11.h>`
`#include <map>`
`#include <memory>`
`#include <string>`
Include dependency graph for block_gateway.h:

Go to the source code of this file.

## Classes

class | block_gateway

## Typedefs

using | gw_block_t

## Typedef Documentation

## gw_block_t

using gw_block_t

Initial value:
enum {
GW_BLOCK_GENERAL = 0,
GW_BLOCK_SYNC,
GW_BLOCK_DECIM,
GW_BLOCK_INTERP
}

The gateway block which performs all the magic.

The gateway provides access to all the gr::block routines.